GETeSIM Management

Get eSIM Profile

Retrieve the full profile details for a specific eSIM by its ICCID. Returns the eSIM state, activation information, associated data plan, and provisioning metadata.

Endpoint

GEThttps://api.sotel.com/api/esim/euicc/{ICCID}

Authentication

Requires an Authentication Token obtained from the /authenticate endpoint. Include it in the X-Token header.

X-Token:{{token}}

Path Parameters

NameTypeRequiredDescription
ICCIDstringRequiredThe Integrated Circuit Card Identifier (ICCID) of the eSIM. This is returned when the eSIM is created.

Response

eSIM profile returned successfully.

Response
{
  "status": "Success",
  "code": 200,
  "data": {
    "iccid": "8910300000033610517",
    "imsi": "260012165106751",
    "state": "RELEASED",
    "last_operation_date": "1749195475971",
    "reuse_remaining_count": 4,
    "cc_required": false,
    "release_date": "1741691562750",
    "activationCode": "LPA:1$consumer.e-sim.global$TN202503101118161AF32A65",
    "smdp": "consumer.e-sim.global"
  },
  "message": "Successful",
  "timestamp": "2026-10-07 13:11:49"
}

Code Examples

curl -X GET 'https://api.sotel.com/api/esim/euicc/8910300000033610516' \
  -H 'X-Token:{{token}}'

Try It

Try It

Fill in the parameters to generate a cURL command

Generated cURL
curl --location 'https://api.sotel.com/api/esim/euicc/{ICCID}' \
--header 'X-Token: {token}'